# Interface JSInterface

All Known Implementing Classes:
  `GenericApplet, Jmol, JSVApplet, JSVAppletPro`

public interface JSInterface
called by JSmol JavaScript methods using this._applet.xxxx()

## Method Summary

Modifier and Type
Method
Description
`int`
`cacheFileByName(String fileName, boolean isAdd)`
`void`
`cachePut(String key, Object data)`
`void`
`destroy()`
`String`
`getFullName()`
`void`
`openFileAsyncSpecial(String fileName, int flags)`
`void`
`openFileAsyncSpecialType(String fileName, int flags, String type)`
`void`
`processKeyEvent(Object event)`
`boolean`
`processMouseEvent(int id, int x, int y, int modifiers, long time)`
`void`
`processTwoPointGesture(float[][][] touches)`
`void`
`setDisplay(Object canvas)`
`void`
`setScreenDimension(int width, int height)`
`boolean`
`setStatusDragDropped(int mode, int x, int y, String fileName, String[] retType)`
`void`
`startHoverWatcher(boolean enable)`
`void`
`update()`

## Method Details

### cacheFileByName

int cacheFileByName(String fileName, boolean isAdd)

### cachePut

void cachePut(String key, Object data)

### destroy

void destroy()

### getFullName

String getFullName()

### openFileAsyncSpecial

void openFileAsyncSpecial(String fileName, int flags)

### openFileAsyncSpecialType

void openFileAsyncSpecialType(String fileName, int flags, String type)

### processMouseEvent

boolean processMouseEvent(int id, int x, int y, int modifiers, long time)

### processKeyEvent

void processKeyEvent(Object event)

### processTwoPointGesture

void processTwoPointGesture(float[][][] touches)

### setDisplay

void setDisplay(Object canvas)

### setScreenDimension

void setScreenDimension(int width, int height)

### setStatusDragDropped

boolean setStatusDragDropped(int mode, int x, int y, String fileName, String[] retType)

### startHoverWatcher

void startHoverWatcher(boolean enable)

### update

void update()